Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: 3 Months ago MyBB has experienced an internal error and cannot continue. Error Type: MyBB Error
#1
Solved: 3 Months ago
Hi Team, I am trying to get one of my working forum to a local server for testing something. I read about this error in other pages and tried changing mysql to mysqli. What else needs to be checked?


MyBB has experienced an internal error and cannot continue.
Error Type:MyBB Error (44)Error Message:MyBB was unable to load the SQL extension. Please contact the MyBB Group for support. MyBB Website

SOLVED!
I had to install the connector

yum install php-mysql

Package php-5.3.3-49.el6.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package php-mysql.x86_64 0:5.3.3-49.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=========================================================================================================================================
 Package                          Arch                          Version                                Repository                   Size
=========================================================================================================================================
Installing:
 php-mysql                        x86_64                        5.3.3-49.el6                           base                         86 k

Transaction Summary
=========================================================================================================================================
Install       1 Package(s)

Total download size: 86 k
Installed size: 216 k
Is this ok [y/N]: y
Downloading Packages:
php-mysql-5.3.3-49.el6.x86_64.rpm                                                                                 |  86 kB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : php-mysql-5.3.3-49.el6.x86_64                                                                                         1/1
  Verifying  : php-mysql-5.3.3-49.el6.x86_64                                                                                         1/1

Installed:
  php-mysql.x86_64 0:5.3.3-49.el6

Complete!
My current MyBB project: Ops FAQs | OpsFaqs.com 
Reply
#2
Solved: 3 Months ago
(03-17-2019, 02:10 PM)_Jerry_ Wrote: Hi Team, I am trying to get one of my working forum to a local server for testing something. I read about this error in other pages and tried changing mysql to mysqli. What else needs to be checked?


MyBB has experienced an internal error and cannot continue.
Error Type:MyBB Error (44)Error Message:MyBB was unable to load the SQL extension. Please contact the MyBB Group for support. MyBB Website

SOLVED!
I had to install the connector

yum install php-mysql

Package php-5.3.3-49.el6.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package php-mysql.x86_64 0:5.3.3-49.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=========================================================================================================================================
 Package                          Arch                          Version                                Repository                   Size
=========================================================================================================================================
Installing:
 php-mysql                        x86_64                        5.3.3-49.el6                           base                         86 k

Transaction Summary
=========================================================================================================================================
Install       1 Package(s)

Total download size: 86 k
Installed size: 216 k
Is this ok [y/N]: y
Downloading Packages:
php-mysql-5.3.3-49.el6.x86_64.rpm                                                                                 |  86 kB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : php-mysql-5.3.3-49.el6.x86_64                                                                                         1/1
  Verifying  : php-mysql-5.3.3-49.el6.x86_64                                                                                         1/1

Installed:
  php-mysql.x86_64 0:5.3.3-49.el6

Complete!

Good on you!!

But...

I highly recommend that you update the PHP version to at least 7.0.xx or newer for better compatibility.
I'm Serpius and You're Not    ¯\_(ツ)_/¯
[Image: 5M7sb0n.png?1]
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)